SparkFun Forums 

Where electronics enthusiasts find answers.

By radar
#202137
When attempting to connect to the A111 board via Acconeer's SDK I always receive a timeout but with the compiled binaries from sparkfun the conenction works fine. The error is:

Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/links.py", line 276, in __get_into_buf
File "/usr/lib/python3.5/multiprocessing/queues.py", line 105, in get
raise Empty
queue.Empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/reg/client.py", line 45, in _connect
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/reg/client.py", line 258, in _handshake
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/links.py", line 242, in recv_until
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/links.py", line 278, in __get_into_buf
acconeer_utils.clients.links.LinkError: recv timeout

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "iq.py", line 99, in <module>
main()
File "iq.py", line 30, in main
info = client.setup_session(config)
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/base.py", line 25, in setup_session
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/base.py", line 17, in connect
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/reg/client.py", line 47, in _connect
acconeer_utils.clients.base.ClientError: could not connect, no response


It makes no difference which example service I call I always get the timeout. The autodetect sees port /dev/ttyAMA0 and that is what is sent to the serial handler. Any help would be greatly appreciated!!
By radar
#202140
Posted below is the the verbose debug logging output:

sudo python iq.py -u /dev/ttyAMA0 --sensor 1 -vv
[10:58:36] DEBUG - acconeer_utils.example_utils - logging configured
[1]
[10:58:36] DEBUG - acconeer_utils.clients.links - connect - flow event was set
[10:58:36] DEBUG - acconeer_utils.clients.links - connect - successful
[10:58:36] DEBUG - acconeer_utils.clients.reg.client - connected at 115200 baud
[10:58:36] DEBUG - acconeer_utils.clients.reg.client - sent reg w req: addr: 3 val: 00 00 00 00
[10:58:40] INFO - acconeer_utils.clients.reg.client - handshake failed at 115200 baud, trying 115200 baud...
[10:58:41] INFO - acconeer_utils.clients.links - forcing disconnect...
[10:58:41] INFO - acconeer_utils.clients.links - forced disconnect successful
[10:58:41] DEBUG - acconeer_utils.clients.links - connect - flow event was set
[10:58:41] DEBUG - acconeer_utils.clients.links - connect - successful
[10:58:41] DEBUG - acconeer_utils.clients.reg.client - sent reg w req: addr: 3 val: 00 00 00 00
Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/links.py", line 278, in __get_into_buf
File "/usr/lib/python3.5/multiprocessing/queues.py", line 105, in get
raise Empty
queue.Empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/reg/client.py", line 45, in _connect
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/reg/client.py", line 258, in _handshake
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/links.py", line 244, in recv_until
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/links.py", line 280, in __get_into_buf
acconeer_utils.clients.links.LinkError: recv timeout

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "iq.py", line 99, in <module>
main()
File "iq.py", line 30, in main
info = client.setup_session(config)
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/base.py", line 25, in setup_session
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/base.py", line 17, in connect
File "/usr/local/lib/python3.5/dist-packages/acconeer_utils-2.0.3-py3.5.egg/acconeer_utils/clients/reg/client.py", line 47, in _connect
acconeer_utils.clients.base.ClientError: could not connect, no response

I forced a 115200 baudrate to see if it would help but it did not so it has been tried at 115200 and 3000000 baud rates